Introduction

Easy Voice Recognition™ is an important member of EasyOffice Premium.

Included with EasyOffice Premium are the level 4 and the level 5 versions of EasyVoice Recognition - EasyVoice4 and EasyVoice5.

EasyVoice4 will allow you to fetch and read your e-mails, let you navigate the web by voice, and allow you to use many EasyOffice and other Windows programs by voice command.

EasyVoice5 is much better at fluent speech voice recognition than EasyVoice4, and little or no training is required for many tasks. However, EasyVoice5 requires much more hard disk space, more RAM memory (64MB minimum; 128MB recommended) and a faster processor (600MHz+).

EasyVoice Professional is built upon EasyVoice5, and includes additional formatting commands for users who expect heavy dictation use. It is not usually included with EasyOffice Premium, but is purchased as a separate standalone product.

  • EasyVoice4 - older computers, works well for commands; included with EasyOffice Premium

  • EasyVoice5 - newer computers, good recognition of fluent speech; included with EasyOffice Premium

  • EasyVoice Professional - Enhanced version of EasyVoice5 with additional formatting commands for dictation users; not included with EasyOffice Premium but purchased as a separate product

  • EasyVoice Pro Medical - Enhanced version of EasyVoice Professional intended for English medical dictation; not included with EasyOffice Premium but purchased as a separate product

  • EasyVoice Pro Legal - Enhanced version of EasyVoice Professional intended for English legal dictation; not included with EasyOffice Premium but purchased as a separate product

  • EasyVoice Pro Forms - Enhanced version of EasyVoice Professional intended to enable users to fill in forms on a repetitive basis, useful for many workplace environments; not included with EasyOffice Premium but purchased as a separate product


Known Problems with Voice Recognition

Voice Recognition has come a long way in the last few years, but it still is not as reliable as other programs, such as a spreadsheet or word processor.

Successful functioning of EasyVoice Recognition is dependent on both computer configuration and speaker pronunciation.

EasyVoice Recognition uses the latest Microsoft SAPI-compliant voice engines

EasyVoice Recognition uses the latest (at the time of this writing) genuine Microsoft SAPI-compliant voice engine software, and follows all the usage and licensing guidelines.

Nonetheless, this Microsoft voice engine software is extremely complex, and will at times not perform perfectly.

EasyVoice Recognition appears to have crashed in the middle of training

This does not happen very often, but can occur due to the extreme size and complexity of the Microsoft voice engines and consequent imperfections within the engines, as well as with other layers of the software.

EasyVoice Recognition appears to be working very slowly

If you are running EasyVoice Recognition on an older computer or a laptop with a slow processor and limited RAM and other resources, voice recognition may not occur in real-time, ie, the computer will not be able to keep up with the words you are saying. As well, even on a very fast computer, keep in mind that the artificial intelligence routines that EasyVoice uses, often need to hear the whole sentence before the start of the sentence can be recognized, and once that occurs, will then write out the whole sentence at once.

EasyVoice Recognition works, but it doesn't seem to work accurate enough

The level 5 version of EasyVoice Recognition ( EasyVoice 5) is much more accurate and robust than the level 4 version, but as mentioned in the Introduction, requires more RAM, more disk space, a more recent version of Windows and a faster processor.

Tips to improve voice recognition accuracy:

  1. Add a sound card to your computer. Even on name-brand computers, if the sound card is built into the motherboard, it may be distorting the microphone signal. Adding a separate sound card often results in dramatic improvements in voice recognition accuracy.

  2. Use a headset, noise-cancelling microphone.

  3. Make sure your room is quiet.

  4. More RAM, faster PC will give better results. 128MB, 600MHz is good; 256MB, 1GHz is better.

  5. Set up your microphone and train voice recognition.

    • Go to Control Panel and click the Speech icon.

    • Click Configure Microphone (inside the Microphone box, which is inside the Speech Recognition box).

    • Click Train Profile to train speech recognition.

  6. If more than 1 user, set up another user profile. Speech recognition has built-in automatic learning, so it should learn different users' voices separately.

    • Go to Control Panel and click the Speech icon.

    • Inside the Recognition Profiles box, click New.

  7. If too slow, reduce the accuracy slider.

    • Go to Control Panel and click the Speech icon.

    • Inside the Recognition Profiles box, click Settings.

    • You will then see the Accuracy vs. Recognition Time box and slider.

  8. Make sure that automatic learning (background adaptation) is turned on.

    • Go to Control Panel and click the Speech icon.

    • Inside the Recognition Profiles box, click Settings.

    • You will then see the Background Adaptation box, which should be checked on.

  9. See Tips to Improve Recognition Accuracy for more details.

EasyVoice Recognition will work on one computer, but not on another

This does not happen very often, but it is theoretically possible due to the extreme size and complexity of the Microsoft voice engines.

EasyVoice4 and EasyVoice5 use different Microsoft voice engines. If one doesn't work, try the other one.

EasyVoice4 and EasyVoice5 have been designed so that the bulk of the many megabytes of voice processing files are separate from the portion of the program controlling these files. The control programs of EasyVoice4 and EasyVoice5 are under 1MB, and the latest EasyVoice4 and EasyVoice5 control programs can be downloaded from www.e-press.com

EasyVoice5 Says My Computer Does Not Have Enough Memory or the Wrong Windows

If your computer has less than 64MB of RAM, or is using Windows95 or WindowsNT, then EasyVoice5 will give you the above message. This is due to the system requirements of its underlying voice engine. (However, EasyVoice4 will run on older computers and computers with less RAM.)


Tips to Improve Recognition Accuracy

  1. The most important element in accurate voice recognition is not the microphone, but the sound card. On many computers, even expensive name-brand computers, the sound card is built into the motherboard, and distorts badly the microphone signal. Adding a separate sound card to your PC will often greatly increase the accuracy of your speech recognition. For example, one user reports increasing the accuracy of EasyVoice speech recognition from 42% to 98%, by installing a SoundBlaster card (one of many manufacturers making sound cards) into his PC.

  2. The microphone, is still important, however. Noise-cancelling microphones designed for voice recognition (there are many brands), will give a superior accuracy. (In a noisy environment, you really need to wear a noise-cancelling headset microphone, rather than use a standalone desk microphone.)

  3. Your room should be quiet. Many users report dramatic increases in speech recognition accuracy by turning off noisy air conditioners, for example.

  4. The EasyVoice speech recognition routines follow complex artificial intelligence algorithms. 128MB of RAM is good, but 256MB of RAM is even better. A 600MHz PentiumIII-equivalent PC is good, but a 1 GHz PentiumIV-equivalent PC is even better.

  5. EasyVoice5 seems to amazingly work without training. However, training will nonetheless improve its accuracy. EasyVoice5 trains automatically every time you use it. The more you use, the more accurate it will become. However you can specifically train EasyVoice5 the first time you use it:

    • Go to the Control Panel and click the Speech icon.

    • Click Configure Microphone. The computer will automatically adjust the microphone signal to your voice, so that the signal is not being distorted by too loud a voice, or by being poorly received by too soft a voice

    • Then, train your user profile. Each training episode involves reading a 10 minute story.

  6. If you share your computer with someone else, make sure the non-default user (i.e., the second person to use EasyVoice on that computer) changes the user profile (in the Speech training section) to his/her own profile. If two or more persons use the same EasyVoice profile, then the self-learning algorithm will become confused.

    • Go to Control Panel and click the Speech icon.

    • Inside the Recognition Profiles box, click New.

  7. If speech recognition of fluent speech seems too slow for your PC, then go to the Speech training section, and reduce the accuracy slider. This will significantly increase the speed of speech recognition, often without much of a difference concerning the accuracy.

    • Go to Control Panel and click the Speech icon.

    • Inside the Recognition Profiles box, click Settings.

    • You will then see the Accuracy vs. Recognition Time box and slider.

  8. In fluent speech recognition, be patient in waiting for recognized speech to appear in your word processor. The artificial intelligence algorithms often need to hear the whole sentence before the start of the sentence can be recognized, and once that occurs, will then write the whole sentence out at once.

  9. Make sure that automatic learning (background adaptation) is turned on.

    • Go to Control Panel and click the Speech icon.

    • Inside the Recognition Profiles box, click Settings.

    • You will then see the Background Adaptation box, which should be checked on.


Obtaining Latest Version

Obtaining the Latest Version of EasyVoice4 or EasyVoice5

EasyVoice4 and EasyVoice5 have been designed so that the bulk of the many megabytes of voice processing files are separate from the portion of the program controlling these files. The control programs of EasyVoice4 and EasyVoice5 are under 1MB, and the latest EasyVoice4 and EasyVoice5 control programs can be downloaded from www.e-press.com at no charge.

After you download the latest version of EasyVoice4 or EasyVoice5, run the program, and it will automatically install itself.


First Time Use of EasyVoice

After installation, the first time you use EasyVoice4, you may be asked to select a voice engine. Select the English Continuous, Microphone ( Microsoft) voice engine. Then, click OK.

Do not change any of the settings of the speech engine.

(If the EasyVoice4 voice engine software has already been set up, then you will not be asked to select a voice engine.)


Starting EasyVoice

When you start, you will go to the QuickStart Page.

You will be given here the following choices:

  • Quickly train EasyVoice to fetch and read my e-mail

  • Quickly train EasyVoice to browse the web

  • Go to regular training

  • Start using EasyVoice

Quickly train EasyVoice to fetch and read my e-mail

This choice allows you to quickly train the appropriate word list with the commands you need to use Microsoft Outlook Express to read your e-mail. After training these words, a list of these commands can be printed out, and you will leave the training mode.

The EasyVoice control panel now appears on your screen. (To shrink this control panel, click Advanced Mode.)

If you say "MAIL", you will automatically go to Microsoft Outlook Express, where other voice commands you just trained will allow you to select the e-mail that should be read out loud to you.

For more details on using EasyVoice to read your mail, see Using EasyVoice to Read Your E-mail.

If you do not want to use Outlook Express to read your e-mail, use Regular Training to train EasyVoice with the appropriate voice commands and corresponding keystrokes to use your desired e-mail program.

Quickly train EasyVoice to browse the web

This choice allows you to quickly train the appropriate word lists with the commands you need to use Microsoft Internet Explorer to browse the web. After training these words, a list of these commands can be printed out, and you will leave the training mode.

The EasyVoice control panel now appears on your screen. (To shrink this control panel, click Advanced Mode.)

If you say "INTERNET", you will automatically go to Microsoft Internet Explorer, where other voice commands you just trained will allow you to browse the web.

For more details on using EasyVoice to browse the web, see Using EasyVoice to Browse the Web.

If you do not want to use Internet Explorer to browse the web, use Regular Training to train EasyVoice with the appropriate voice commands and corresponding keystrokes to use your desired web browser program.

Go to regular training

In Regular Training, you can train EasyVoice to recognize a spoken word, and to enter specified keystrokes when you speak that word.

When EasyVoice recognizes a word, it automatically enters the characters you have assigned to that word, as if it was pressing keys on your keyboard.

For example, you can train EasyVoice to enter the character '9' in your program whenever you say the word "nine". Or, you can train EasyVoice to enter the 'Backspace' keystroke in your program whenever you say the word "MISTAKE".

Although you can train any word you want, many pre-defined word lists are provided to save you time. For example, there are word lists for the numbers, letters, keyboard commands, EasyOffice application commands, and so on.

For more details on training EasyVoice, see Regular Training.

Start using EasyVoice

When you click this option (or, when training ends), the EasyVoice control panel will appear on your screen.

In Easy Mode, the control panel is relatively large. To shrink this control panel, click Advanced Mode.

Easy Mode and Advanced Mode are very similar, except that in Easy Mode, the EasyVoice control panel is larger and the buttons are easily readable.

Most users click Advanced Mode to shrink the EasyVoice control panel. If you are unsure of the what the buttons in Advanced Mode do, click EZ to enlarge the EasyVoice control panel and switch to Easy Mode.


Using EasyVoice to Read Your E-mail

Quickly train EasyVoice to fetch and read my e-mail

If you click this option, you will be presented with a list of words such as 'E-MAIL', 'READ', 'DELETE', 'INBOX', and so on, and asked to read this list.

You should read each word, one at a time, as clearly as possible. (The Microsoft speech engine screen may ask you to read the words as if in a sentence. While continuous speech is more appropriate for dictation activities, for command words such as these, it is best to read them one at a time.)

As you read each word you will see that the computer highlights it. This means that the computer has heard you pronounce the word, and your pronunciation is deemed accurate enough. If the computer does not highlight the word, then repeat the word again. DO NOT GO ONTO THE NEXT WORD.

If despite numerous attempts the computer does not highlight the word, you then can click Skip Word and move onto the next word. (In the regular training section, you can always come back to this individual word and attempt to re-train it.)

After you finish speaking the list of words, the computer will assimilate your pronunciation into the voice recognition of these words. Then, click Finish.

You will then be asked if you want to re-train the word list again. If you feel you made serious errors while training, click Yes; otherwise click No.

A box will now appear, explaining how EasyVoice can fetch and read your e-mails:

  1. Say "E-MAIL" to start Microsoft Outlook Express.

  2. Say "INBOX" to go to your Inbox.

  3. Say "PREVIOUS" or "NEXT" to select the e-mail you want EasyVoice to read to you.

  4. Say "READ" for EasyVoice to read that e-mail to you.

Say "STOP" to stop reading.

Say "DELETE" to delete that e-mail.

Say "EXIT" to exit Outlook Express.

After reading this box, click NEXT. You will be prompted to print out the above instructions. (Although these instructions may seem quite obvious, the first time you use EasyVoice to read your e-mail, it is very useful to have these instructions printed out for your quick reference.)

You will then be prompted to go ahead and to start using EasyVoice. When you click the Start button in that box (not the Windows Start button), you will leave QuickStart E-mail Training Mode, and start running the actual EasyVoice program.

The EasyVoiceRecognition control panel will pop up onto your desktop. It is quite large. You can shrink by clicking 'Advanced Mode', but we'll do this in a minute.

Go ahead and say "E-MAIL" into the microphone. If the computer recognizes your voice, you will see the word displayed in red letters in the circular portion of the EasyVoiceRecognition control panel. The computer will automatically start running Outlook Express.

Let's reduce the size of the EasyVoiceRecognition control panel. Click Advanced Mode and the control panel shrinks to a tiny size. You can now drag the tiny EasyVoiceRecognition control panel to the top of the screen where it won't block the screen of Outlook Express.

Say "INBOX". Your Inbox will appear on the screen.

Now say "PREVIOUS" or "NEXT" to select an e-mail.

When you have selected the e-mail you want EasyVoice to read to you, say "READ".

If you want to stop the reading at any time, just say "STOP".

When this e-mail is finished reading, just say "PREVIOUS" or "NEXT" to select another e-mail, and say "READ" to read it.

To delete a given e-mail, say "DELETE". If you say "DELETE" you will be prompted to say "DELETE" again to confirm your intention. If you do not do so within a few seconds, the original "DELETE" command will be ignored.

To exit from Outlook Express, simply say "EXIT". (Once you do so, do not say "EXIT" again, or else you will then also exit from EasyVoice itself.)

Note: If you do not want to use Outlook Express to read your e-mail, use Regular Training to train EasyVoice with the appropriate voice commands and corresponding keystrokes, to use your desired e-mail program.


Using EasyVoice to Browse the Web

Quickly train EasyVoice to browse the web

This choice allows you to quickly train EasyVoice with the appropriate word lists containing the commands you need to use Microsoft Internet Explorer to browse the web.

If you click this choice, you will be presented with lists of words such as 'INTERNET', 'ADDRESS', 'FORWARD', and so on, and asked to read these lists.

You should read each word, one at a time, as clearly as possible. (The Microsoft speech engine screen may ask you to read the words as if in a sentence. While continuous speech is more appropriate for dictation activities, for command words such as these, it is best to read them one at a time.)

As you read each word you will see that the computer highlights it. This means that the computer has heard you pronounce the word, and your pronunciation is deemed accurate enough. If the computer does not highlight the word, then repeat the word again. DO NOT GO ONTO THE NEXT WORD.

If despite numerous attempts the computer does not highlight the word, you then can click Skip Word and move onto the next word. (In the regular training section, you can always come back to this individual word and attempt to re-train it.)

After you finish speaking the list of words, the computer will assimilate your pronunciation into the voice recognition of these words. Then, click Finish.

You will then automatically be prompted to get ready for the next list of words which must be trained. And when you click Next, a new list of words (which are related to using Internet Explorer) appear on the screen. Go ahead and say each word. The computer then assimilates your pronunciation into the voice recognition software. Click Finish, and you will be presented again with another word list.

One of the word lists will contain the letter of alphabet. Sometimes the computer may interpret a sound as being representative of two letters, and highlight two letters (e.g., 'm' and 'n') even though your sound was meant only for one of the letters (e.g., you were saying "m"). This generally will not cause large problems. You can always re-train this word list again, or you can retrain the individual letter later in the Regular Training section.

After training various Internet Explorer commands, the letters of the alphabet, numbers and common web sites, you will then be asked if you want to re-train the word list again. If you feel you made serious errors while training, click Yes; otherwise, click No.

A box will now appear, explaining how you can use EasyVoice to browse the Web.

  1. Say "INTERNET" to start Microsoft Internet Explorer.

  2. Say "ADDRESS" to enter a web site's address.

  3. Then say "WWW", "DOT", followed by the spelling of the web site. (If you or the computer makes a mistake, say "BACKSPACE".)

  4. When done, say "ENTER". You will go to that web page.

More commands:

  • "ESCAPE" - move out of the address box

  • "FORWARD" - go forward

  • "BACK" - go backward

  • "SEARCH" - search

  • "HOME" - go to HOME page

  • "REFRESH" - reloads current page

  • "FAVORITE" - go to Favorite bookmarks

    • "PREVIOUSFAVORITE" - go up the favorite list

    • "NEXTFAVORITE" - go down the favorite list

    • "ENTER" - to select a favorite bookmark

    • "EXPANDFOLDER" - to expand a favorite folder

    • "CONTRACTFOLDER" - to close a favorite folder

  • "HISTORY" - go to History list

    • "PREVIOUSFAVORITE" - go up in History list

    • "NEXTFAVORITE" - go down in History list

    • "ENTER" - select a History item

    • "EXPANDFOLDER" - expand History folder

    • "CONTRACTFOLDER" - contract History folder

  • "MAIL" - go to Outlook Express

  • "SEND" - e-mail current Web page to someone

  • "EXIT" - exit Internet Explorer

After reading this box, click NEXT. You will be prompted to print out the above instructions. (Although these instructions may seem quite obvious, the first time you use EasyVoice to browse the Web, it is very useful to have these instructions printed out for your quick reference.)

You will then be prompted to go ahead and to start using EasyVoice. When you click the Start button in that box (not the Windows Start button), you will leave QuickStart Web Training Mode, and start running the actual EasyVoice program.

The EasyVoiceRecognition control panel will pop up onto your desktop. It is quite large. You can shrink by clicking Advanced Mode, but we'll do this in a minute.

Go ahead and say "INTERNET" into the microphone. If the computer recognizes your voice you will see the word displayed in red letters in the circular portion of the EasyVoiceRecognition control panel. And the computer will automatically start running Internet Explorer. In a few seconds, Internet Explorer is loaded onto you screen.

Let's reduce the size of the EasyVoiceRecognition control panel. Click Advanced Mode, and the control panel shrinks to a tiny size. You can now drag the tiny EasyvoiceRecognition control panel to the top of the screen where it won't block the screen of Internet Explorer.

Say "ADDRESS". The text in the Address box is highlighted.

Say "W","W", "W", "DOT", "E", "DASH", "P", "R", "E", "S", "S", "DOT", "COM", "ENTER" (If the computer makes a mistake interpreting a letter, say "BACK" to backspace the mistake.) The browser will bring up the e-press web site.

Say "FAVORITES". The Favorites list will appear.

  • "PREVIOUSFAVORITE" - go up the favorite list

  • "NEXTFAVORITE" - go down the favorite list

  • "ENTER" - to select a favorite bookmark

  • "EXPANDFOLDER" - to expand a favorite folder

  • "CONTRACTFOLDER" - to close a favorite folder

Say "FAVORITES" again to exit the Favorites box and make it close.

If a web site is pre-defined and trained, you can simply say that web site instead of entering the address letter by letter. For example, say "ADDRESS", followed by "E-PRESS", and the browser will go the e-press web site.

To navigate backwards and forwards between Web pages, simply say "BACK" or "FORWARD". Try it out - if you have just browsed the e-press web site and then a Favorite web site, say "BACK" to go back to the e-press web site, and then say "FORWARD" to go forward to the Favorite web site.

To exit Internet Explorer, say "EXIT".

Note: If you want to use another browser instead of Microsoft Internet Explorer to browse the web, then you must use Regular Training to train EasyVoice with the appropriate voice commands and corresponding keystrokes, to use your desired web browser program.


Regular Training

In Regular Training, you can train EasyVoice to recognize a spoken word, and to enter specified keystrokes when you speak that word.

When EasyVoice recognizes a word, it automatically enters the characters you have assigned to that word, as if it was pressing keys on your keyboard.

For example, you can train EasyVoice to enter in your program the character '9' whenever you say the word "nine". Or, you can train EasyVoice to enter in your program the 'Backspace' keystroke whenever you say the word "MISTAKE".

Go to regular training

When you select Go to regular training (as opposed to the Quickstart training for using EasyVoice to read your e-mail and browse the Web), a window will appear with a Training box (words that have already been trained) and menu of selections (to edit and add new words for training).

The Training box displays the words which have already been trained. Beneath this box are choices to allow you to edit the words in this box, or add new individual words of your own choosing, or add pre-defined word lists.

As well there is a button for Help, and a button to Test Microphone.

Once you have finished training the words you wanted to, click Exit Training and Start EasyVoice, and you will go to the actual EasyVoice program.

Change keystrokes assigned to a word

If you want to change the keystrokes assigned to a trained word, then click Change keystrokes assigned to a word. For example, if you scroll down to the word THOUSAND, you see that the keystrokes that will be entered when you speak this word are: '1000'. Let's change it so that when you say "THOUSAND", the keystrokes '1,000' (i.e., there is a comma now) are entered.

Click Change keystrokes assigned to a word. You are shown what keystrokes are entered when the word "THOUSAND" is spoken. Click Clear. Now, enter 1,000. When you are done, do NOT press Enter (or else the program will think that is a keystroke you want associated with the word). Instead, click Done - All keystrokes entered.

You are now returned to the Training box. If you look at the word THOUSAND, you see that the keystrokes '1,000' will be entered when it is spoken.

Delete a word

To delete a word from the Training box, select the word and click Delete a word.

For example, select THOUSAND and click Delete a word. The word THOUSAND will be deleted from the list of trained words.

Add and train a new word

Since we just deleted the word THOUSAND, let's add it back to the word list.

Click Add and train a new word. You will be asked what you want to call this word. Enter THOUSAND and click Next.

You will then be asked what keystrokes you want entered. Enter 1,000 (or, if you wish, 1000 or one-thousand). Then, click Done - All Keystrokes Entered.

Now, train the sound of this word. You will see a box of training hints appear. Click Next.

You will now be prompted to get ready for training. Click Next.

You now see the word THOUSAND in a box. Say the word "THOUSAND". The word will highlight, and since this is the last (actually the only) word to be trained, the program will then start assimilating the sound of the word into its voice recognition files. You will be prompted to wait while this assimilation occurs. However, it will not take long, and then the screen 'Thank you for training' will appear. Click Finish.

You will now go back to the Training box. If you look in the box of trained words, you will see THOUSAND is back there now, and corresponds to whatever keystrokes you just specified.

Re-train speech for a word

If EasyVoice does not seem to recognize a word very well, you might want to try to re-train the associated speech for that word.

For example, let's re-train the voice recognition of the word THOUSAND.

Select the word THOUSAND and click Re-train speech for a word. You will see a box of training hints appear. Click Next.

You will now be prompted to get ready for training. Click Next.

The word THOUSAND will appear in a box. Say the word "THOUSAND". The word will highlight, and since this is the last (actually the only) word to be trained, the program will then start assimilating the sound of the word into its voice recognition files. You will be prompted to wait while this assimilation occurs. However, it will not take long, and then the screen 'Thank you for training' will appear. Click Finish.

You will now go back to the Training box.

Note: You can re-train a word as many times as you'd like.

Add and train a word list

EasyVoice comes with a number of pre-defined word lists, to allow you to rapidly train EasyVoice to recognize these key words.

Click Add and train a word list. A box with a long list of pre-defined word lists appears.

Let's train, for example, the words associated with date commands. Thus, select from the list Pre-defined Date Commands. Now, click Next.

A box of training hints will appear. Click Next.

You will now be prompted to get ready for training. Click Next.

The words January February March April May June July August September October will be in a box. (You do not see all the date command words at once. Instead, you will automatically cycle a few times through this training box.)

Say the word "JANUARY". The word January in the box will be highlighted. Say the word "FEBRUARY". The word February in the box will be highlighted. Continue until you get to the last word which is (in this example) October. Say "OCTOBER". Since this is the last word to be trained at this time, the program will then start assimilating the sound of the words into its voice recognition files. You will be prompted to wait while this assimilation occurs. Then the screen 'Thank you for training' will appear. Click Finish.

There are still more date words to be trained. After clicking Finish, you will be prompted to get ready for training. Click Next.

You will now see (in this example) the words November December in the box. Say these words. Assimilation then takes place, and you will be thanked for training. Then click Finish.

Since there are no more words in this word list to be trained, the cycles of training are really finished now. However, before going on, you will be prompted if you want to re-train this (entire) word list again. If you think you made mistakes, click Yes; otherwise, click No.

You now will go back to the Training box. Inside the Training box, the months of the year which you just added and trained will appear.

Notes:

You can re-train word lists at any time, and as many times as you wish. If you wanted to, at a later date, re-train the months of the year, you would again click Add and train a word list, select Pre-defined Date Commands and go through the training again.

If you want to see which words are included with each word list, and what keystrokes are entered for that word, then check off Display word list and keystrokes. Before you start training a pre-defined word list, it will show you what words are included, and the keystrokes that will be entered for that word.

You can individually edit, delete, change keystrokes, or re-train any of the words added from a word list. After a word is added to the Training box, it can be individually trained or edited as you wish (e.g., select the word, and then click Change keystrokes assigned to a word, or Delete a word, or Re-train speech for a word.)

Add and train all word lists

If you want to devote an hour to training all the word lists at once, then click Add and train all word lists.

You will see a box of training hints appear. Click Next.

You will now be prompted to get ready for training. Click Next.

You will see the first cycle of words in the voice recognition training box. Say the words. After the last word, the program will then start assimilating the sound of the words into its voice recognition files. You will be prompted to wait while this assimilation occurs. You will then be thanked for training. Click Finish.

A new cycle of training now starts automatically. You will be prompted to get ready for training. Click Next. Another set of words will appear in the box. After saying the words, the program will then assimilate the words. You will then be thanked for training. Click Finish, and then, yet another cycle of training will occur.

Cycle after cycle of training will occur, until all the pre-defined word lists have been trained.

If you want to break out of the training cycles, you should check off the yellow box on top of the screen that says 'Please stop... I am tired'. You will not immediately exit out of training, but rather, the next time you click Finish, the program will return back to the Training box (instead of continuing to cycle through more word lists).

Notes:

If you break out of training, whatever training occurred will remain assimilated.

You can Add and train all word lists at any time, even if you have already trained some of the word lists.

Help

To see help files, click Help.

Test Microphone

If you click Test Microphone, the following choices will appear:

  • Test sound card/speaker (Select sound, click Preview arrow)

  • Is my microphone/sound input working? (Click red button)

  • Adjust volume controls. Check "Mute Settings"

  • In volume controls, why should microphone be mute?

  • See if Sound Card is installed and working

Click EXIT to return to the point in the Training program where you came from.

Exit Training and Start EasyVoice

To go to the actual EasyVoice program, click 'Exit Training and Start EasyVoice'.

A blue box will pop up, giving you a summary of how to use EasyVoice. As well you can at this point, display or print out the words you added to EasyWord in training as well as the pre-defined word lists.

Click OK, and this box disappears, and the EasyVoiceRecognition control panel appears on your screen.

(If the EasyVoiceRecognition control panel is in Easy Mode, it will be quite large. If you do not want it to take up so much screen space, click Advanced Mode.)

(If you are using Advanced Mode and you are not sure what an icon represents, click EZ to switch to Easy Mode where all icons contain self-explanatory text.)


Using EasyVoice

Summary:

  • While you use most Windows programs, EasyVoice constantly monitors your microphone to see if a sound corresponds to a trained word. If it recognizes a word, it will automatically enter the corresponding keystrokes for that word, as if you entered the keystrokes yourself on the keyboard.

  • If you select text in a Windows program, and click Speak Text on the EasyVoiceRecognition control panel, then EasyVoice will read that text aloud.

When you double-click the EasyVoice icon, the EasyVoice QuickStart Page appears. Click Start using EasyVoice to start using the program (as opposed to choosing training).

The EasyVoiceRecognition control panel pops up.

  • If the EasyVoiceRecognition control panel is in Easy Mode, it will be quite large. If you do not want it to take up so much screen space, click Advanced Mode.

  • If the EasyVoiceRecognition control panel is in Advanced Mode and you are not sure what an icon represents, click EZ to switch to Easy Mode.

(These help files are written from the perspective of Easy Mode. Note that the corresponding icons in Advanced Mode perform essentially the same functions.)

The EasyVoiceRecognition control panel starts with speech input working. Anything you say into the microphone will be interpreted by the computer for voice recognition. If you do not want the computer to perform voice recognition at that moment (e.g., perhaps you are talking to someone on the telephone, and not actively using your computer), then click the red button, Stop Speech Input.

To start speech input again, click the green button, Start Speech Input. EasyVoice will become active, analyzing the input from your microphone. If EasyVoice recognizes a sequence of sounds as corresponding to one of its trained words, then it will automatically enter the keystrokes that correspond to that word.

(In Easy Mode, recognized words appear in red letters in the lower circular portion of the EasyVoiceRecognition control panel.)

EasyVoice will work with most Windows and EasyOffice programs. For example, if you are using EasySpreadsheet and EasyVoice is activated, then when you say the word "THOUSAND", the keystrokes '1000' will be entered in the EasySpreadsheet program, as if you entered them from the keyboard.

Using EasyVoice to read text aloud

If you select (highlight) text in a Windows program, and click Speak Text on the EasyVoiceRecognition control panel, then it will be read aloud.

For example, if you are using Microsoft Word and want the document read aloud, press Ctrl+A (or use the mouse) to select all the text in the document. Then, click Speak Text on the EasyVoiceRecognition control panel, and the selected text will be read aloud by EasyVoice.

Tip: Turn voice-recognition off (i.e., click Stop Speech Input) while EasyVoice is speaking, so that extraneous noise is not wrongly interpreted by EasyVoice.


Un-installing EasyVoice4

When you un-install EasyOffice, the various EasyVoice4 programs are also un-installed, except for the core speech engine code, since other programs may also use this common code.

(To un-install EasyOffice see EasyHelper, or go to Start, Settings, Control Panel, Add/Remove Programs, then scroll down to EasyOffice..., and then click the Add/Remove button.)

However, there may be times when you want to un-install the core speech engine code. For example, a special upgrade of software requires un-installing the previous speech engine core code first. Or perhaps you experimented with the speech engines that EasyVoice can use, and now EasyVoice is not working properly. Before re-installing EasyVoice, you should actually remove the core speech engine code, as well as any experimental voice engine programs. This way, when you re-install EasyVoice, a completely correct installation will result, along with a fresh re-installation of the core speech engine code.

Use the Add/Remove Programs in the Control Panel to remove the core speech engine code (or another speech engine).

(To go to Add/Remove Programs in the Control Panel, go to Start, Settings, Control Panel, Add/Remove Programs. Scroll down the list for the component which you want to remove.)


First Time You Run EasyVoice5 - SAPI5 Installation

If Microsoft SAPI5 is not already installed on your PC, then the first time you run EasyVoice5, the Microsoft SAPI5 Voice Recognition routines will automatically be installed onto your system.

After installation of SAPI5 is complete, you should exit any programs you are in, and re-start EasyVoice5.

Note: If you are asked to select a voice engine. Select the English Continuous, Microphone ( Microsoft) voice engine, and then click OK. Do not change any of the settings of the speech engine.


Where is EasyVoice5 ?

Depending on your version of EasyOffice, an icon for EasyVoice5 may not automatically be placed on the desktop.

Go to the Start menu, place the mouse over Programs, and scroll to EasyOffice 2001. All the programs in EasyOffice will then be listed. You will see both an EasyVoice4 and an EasyVoice5 icon here. Click the EasyVoice5 icon to run the EasyVoice5 program.

(To put the EasyVoice5 icon onto your desktop along with all the other icons, right-click it, drag it onto the desktop, and copy it to the desktop.)


Starting EasyVoice5

When you start, you will go to the QuickStart Page.

You will be given here the following choices:

  • Quickly 'train' EasyVoice to fetch and read my e-mail

  • Quickly 'train' EasyVoice to browse the web

  • Train EasyVoice with Word Lists and New Words ( selecting word lists, or entering individual words, that you would like EasyVoice to pay special attention to)

  • Start using EasyVoice

Quickly train EasyVoice to fetch and read my e-mail

This choice allows you to quickly train the appropriate word list with the commands you need to use Microsoft Outlook Express to read your e-mail. After training these words, a list of these commands can be printed out, and you will leave the training mode.

The EasyVoice control panel now appears on your screen. (To shrink this control panel, click Advanced Mode.)

If you say "MAIL", you will automatically go to Microsoft Outlook Express, where other voice commands you just trained will allow you to select the e-mail that should be read out loud to you.

For more details on using EasyVoice to read your mail, see Using EasyVoice5 to Read Your E-mail.

If you do not want to use Outlook Express to read your e-mail, use Training to train EasyVoice with the appropriate voice commands and corresponding keystrokes to use your desired e-mail program.

Quickly train EasyVoice to browse the web

This choice allows you to quickly train the appropriate word lists with the commands you need to use Microsoft Internet Explorer to browse the web. After training these words, a list of these commands can be printed out, and you will leave the training mode.

The EasyVoice control panel now appears on your screen. (To shrink this control panel, click Advanced Mode.)

If you say "INTERNET", you will automatically go to Microsoft Internet Explorer, where other voice commands you just trained will allow you to browse the web.

For more details on using EasyVoice to browse the web, see Using EasyVoice5 to Browse the Web.

If you do not want to use Internet Explorer to browse the web, use Training to train EasyVoice with the appropriate voice commands and corresponding keystrokes to use your desired web browser program.

Train EasyVoice with Word Lists and New Words

In Training, you can train EasyVoice to recognize a particular word, and to enter specified keystrokes when you speak that word.

When EasyVoice recognizes a word, it automatically enters the characters you have assigned to that word, as if it was pressing keys on your keyboard.

For example, you can train EasyVoice to enter the character '9' in your program whenever you say the word "nine". Or, you can train EasyVoice to enter the 'Backspace' keystroke in your program whenever you say the word "MISTAKE".

Although you can train any word you want, many pre-defined word lists are provided to save you time. For example, there are word lists for the numbers, letters, keyboard commands, EasyOffice application commands, and so on.

For more details on training EasyVoice, see Training = Adding Words & Lists.

Start using EasyVoice

When you click this option (or, when training ends), the EasyVoice control panel will appear on your screen.

In Easy Mode, the control panel is relatively large. To shrink this control panel, click Advanced Mode.

Easy Mode and Advanced Mode are very similar, except that in Easy Mode, the EasyVoice control panel is larger and the buttons are easily readable.

Most users click Advanced Mode to shrink the EasyVoice control panel. If you are unsure of the what the buttons in Advanced Mode do, click EZ to enlarge the EasyVoice control panel and switch to Easy Mode.


Using EasyVoice5 to read your e-mail

Quickly train EasyVoice to fetch and read my e-mail

When you click this option, a list of words such as 'E-MAIL', 'READ', 'DELETE', 'INBOX', and so on will appear. These are the words that EasyVoice5 will recognize with regards to the reading of your e-mail:

  1. Say "E-MAIL" to start Microsoft Outlook Express.

  2. Say "INBOX" to go to your Inbox.

  3. Say "PREVIOUS" or "NEXT" to select the e-mail you want EasyVoice to read to you.

  4. Say "READ" for EasyVoice to read that e-mail to you.

Say "STOP" to stop reading.

Say "DELETE" to delete that e-mail.

Say "EXIT" to exit Outlook Express.

After reading this box, click NEXT. You will be prompted to print out the above instructions. (Although these instructions may seem quite obvious, the first time you use EasyVoice to read your e-mail, it is very useful to have these instructions printed out for your quick reference.)

You will then be prompted to go ahead and to start using EasyVoice. When you click the Start button in that box (not the Windows Start button), you will leave QuickStart E-mail Training Mode, and start running the actual EasyVoice program.

The EasyVoiceRecognition control panel will pop up onto your desktop. It is quite large. You can shrink by clicking 'Advanced Mode', but we'll do this in a minute.

Go ahead and say "E-MAIL" into the microphone. If the computer recognizes your voice, you will see the word displayed in red letters in the circular portion of the EasyVoiceRecognition control panel. The computer will automatically start running Outlook Express.

Let's reduce the size of the EasyVoiceRecognition control panel. Click Advanced Mode and the control panel shrinks to a tiny size. You can now drag the tiny EasyVoiceRecognition control panel to the top of the screen where it won't block the screen of Outlook Express.

Say "INBOX". Your Inbox will appear on the screen.

Now say "PREVIOUS" or "NEXT" to select an e-mail.

When you have selected the e-mail you want EasyVoice to read to you, say "READ".

If you want to stop the reading at any time, just say "STOP".

When this e-mail is finished reading, just say "PREVIOUS" or "NEXT" to select another e-mail, and say "READ" to read it.

To delete a given e-mail, say "DELETE". If you say "DELETE" you will be prompted to say "DELETE" again to confirm your intention. If you do not do so within a few seconds, the original "DELETE" command will be ignored.

To exit from Outlook Express, simply say "EXIT". (Once you do so, do not say "EXIT" again, or else you will then also exit from EasyVoice itself.)

Note: If you do not want to use Outlook Express to read your e-mail, use Training to train EasyVoice with the appropriate voice commands and corresponding keystrokes, to use your desired e-mail program.


Using EasyVoice5 to browse the web

Quickly train EasyVoice to browse the web

This choice allows you to quickly train EasyVoice with the appropriate word lists containing the commands you need to use Microsoft Internet Explorer to browse the web.

If you click this choice, you will be presented with lists of words such as 'INTERNET', 'ADDRESS', 'FORWARD', and so on, that EasyVoice5 will recognize with regards to browsing the web A box will now appear, explaining how you can use EasyVoice to browse the Web.

  1. Say "INTERNET" to start Microsoft Internet Explorer.

  2. Say "ADDRESS" to enter a web site's address.

  3. Then say "WWW", "DOT", followed by the spelling of the web site. (If you or the computer makes a mistake, say "BACKSPACE".)

  4. When done, say "ENTER". You will go to that web page.

More commands:

  • "ESCAPE" - move out of the address box

  • "FORWARD" - go forward

  • "BACK" - go backward

  • "SEARCH" - search

  • "HOME" - go to HOME page

  • "REFRESH" - reloads current page

  • "FAVORITE" - go to Favorite bookmarks

    • "PREVIOUSFAVORITE" - go up the favorite list

    • "NEXTFAVORITE" - go down the favorite list

    • "ENTER" - to select a favorite bookmark

    • "EXPANDFOLDER" - to expand a favorite folder

    • "CONTRACTFOLDER" - to close a favorite folder

  • "HISTORY" - go to History list

    • "PREVIOUSFAVORITE" - go up in History list

    • "NEXTFAVORITE" - go down in History list

    • "ENTER" - select a History item

    • "EXPANDFOLDER" - expand History folder

    • "CONTRACTFOLDER" - contract History folder

  • "MAIL" - go to Outlook Express

  • "SEND" - e-mail current Web page to someone

  • "EXIT" - exit Internet Explorer

After reading this box, click NEXT. You will be prompted to print out the above instructions. (Although these instructions may seem quite obvious, the first time you use EasyVoice to browse the Web, it is very useful to have these instructions printed out for your quick reference.)

You will then be prompted to go ahead and to start using EasyVoice. When you click the Start button in that box (not the Windows Start button), you will leave QuickStart Web Training Mode, and start running the actual EasyVoice program.

The EasyVoiceRecognition control panel will pop up onto your desktop. It is quite large. You can shrink by clicking Advanced Mode, but we'll do this in a minute.

Go ahead and say "INTERNET" into the microphone. If the computer recognizes your voice you will see the word displayed in red letters in the circular portion of the EasyVoiceRecognition control panel. And the computer will automatically start running Internet Explorer. In a few seconds, Internet Explorer is loaded onto you screen.

Let's reduce the size of the EasyVoiceRecognition control panel. Click Advanced Mode, and the control panel shrinks to a tiny size. You can now drag the tiny EasyvoiceRecognition control panel to the top of the screen where it won't block the screen of Internet Explorer.

Say "ADDRESS". The text in the Address box is highlighted.

Say "W","W", "W", "DOT", "E", "DASH", "P", "R", "E", "S", "S", "DOT", "COM", "ENTER" (If the computer makes a mistake interpreting a letter, say "BACK" to backspace the mistake.) The browser will bring up the e-press web site.

Say "FAVORITES". The Favorites list will appear.

  • "PREVIOUSFAVORITE" - go up the favorite list

  • "NEXTFAVORITE" - go down the favorite list

  • "ENTER" - to select a favorite bookmark

  • "EXPANDFOLDER" - to expand a favorite folder

  • "CONTRACTFOLDER" - to close a favorite folder

Say "FAVORITES" again to exit the Favorites box and make it close.

If a web site is pre-defined and trained, you can simply say that web site instead of entering the address letter by letter. For example, say "ADDRESS", followed by "E-PRESS", and the browser will go the e-press web site.

To navigate backwards and forwards between Web pages, simply say "BACK" or "FORWARD". Try it out - if you have just browsed the e-press web site and then a Favorite web site, say "BACK" to go back to the e-press web site, and then say "FORWARD" to go forward to the Favorite web site.

To exit Internet Explorer, say "EXIT".

Note: If you want to use another browser instead of Microsoft Internet Explorer to browse the web, then you must use Regular Training to train EasyVoice with the appropriate voice commands and corresponding keystrokes, to use your desired web browser program.


Training = Adding Words & Lists

Training = Adding Words & Word Lists

You can enter specific words or word lists that you would like EasyVoice to pay special attention to.

This is quite useful for specific applications. For example, there are thousands of words in the English language, but there are a dozen command words for reading your e-mail. If you tell EasyVoice to recognize 'TRAINED WORDS' (as opposed to 'ALL WORDS') (there is a selection on the top of the EasyVoice control panel), then it will more accurately recognize your commands.

As well, you can train EasyVoice to substitute specific keystrokes for specific words. For example, while you are reading your e-mail, you want the word 'NEXT' to cause Outlook Express to scroll down to the next e-mail. You don't want the word "NEXT" actually written somewhere. An important use of 'Trained Words' is to cause various control keystrokes to be entered by EasyVoice when it recognizes the corresponding word which you have trained as such.

When EasyVoice recognizes a trained word, it automatically enters the characters you have assigned to that word, as if it was pressing keys on your keyboard.

For example, you can train EasyVoice to enter in your program the character '9' whenever you say the word "nine".

For example, you can train EasyVoice to enter in your program the 'BACKSPACE' keystroke whenever you say the word "MISTAKE"

Train EasyVoice with Word Lists and New Words

The Training box displays the words which have already been entered. Beneath this box are choices to allow you to edit the words in this box, or add new individual words of your own choosing, or add pre-defined word lists.

As well there is a button for 'Help' and a button to 'Test Microphone'.

Once you have finished training the words you wanted to, you should click 'Exit Training and Start EasyVoice', and you will go to the actual EasyVoice program.

Change keystrokes assigned to a word

If you want to change the keystrokes assigned to a trained word, then click 'Change keystrokes assigned to a word'. For example, if you scroll down to the word 'THOUSAND', you see that the keystrokes that will be entered when you speak this word are: '1000'. Let's change it so that when you say "THOUSAND" the keystrokes '1,000' (ie, there is a comma now) are entered.

Click 'Change keystrokes assigned to a word'. You are shown what keystrokes are entered when the word 'THOUSAND' is spoken. Click 'Clear'. Now enter 1,000 When you are done do NOT press ENTER (or else the program will think that is a keystroke you want associated with the word). Instead, click 'Done - All keystrokes entered'.

You are now returned to the Training box. If you look at the word 'THOUSAND' you see that the keystrokes '1,000' will be entered when this word is spoken.

Delete a word

If you want to delete a word from the Training box, select the word and click 'Delete a word'.

For example, select 'THOUSAND', and now click 'Delete a word'. The word 'THOUSAND' is deleted from the list of trained words.

Add and train a new word

Since we just deleted the word 'THOUSAND', let's add it back to the word list.

Click 'Add and train a new word'. You will be asked what you want to call this word. Enter 'THOUSAND' and click 'Next'.

You will then be asked what keystrokes you want entered. Enter '1,000' (or if you wish '1000', or even if you wish, 'one-thousand'). Click 'Done - All Keystrokes Entered'.

You will now go back to the Training box. If you look in the box of trained words, you will see 'THOUSAND' is back there now, and corresponds to whatever keystrokes you just specified.

Add a word list

EasyVoice comes with a number of pre-defined word lists, to allow you to rapidly train EasyVoice to recognize these key words.

Click 'Add a word list'. A box with a long list of pre-defined word lists appears.

Let's train, for example, the words associated with date commands. Thus, select from the list 'Pre-defined Date Commands'. Now click 'Next'.

The words from this word list, ie, January, February, March, etc, are entered.

Note: You can individually edit, delete, change keystrokes, or re-train any of the words added from a word list. After a word is added to the Training box, it can be individually trained or edited as you wish (eg, select the word, and then click 'Change keystrokes assigned to a word', or 'Delete a word')

Add and train all word lists

If you click 'Add and train all word lists', then all the pre-defined word lists will be entered.

Help

If you click 'Help', the Help files will be displayed.

Test Microphone

If you click 'Test Microphone' the following choices will appear:

  • Test sound card/speaker (Select sound, click Preview arrow)

  • Is my microphone/sound input working? (Click red button)

  • Adjust volume controls. Check "Mute Settings"

  • In volume controls, why should microphone be mute?

  • See if Sound Card is installed and working

When you click 'EXIT' you will be returned to the point in the Training program where you came from.

Exit Training and Start EasyVoice

To go to the actual EasyVoice program, click 'Exit Training and Start EasyVoice'.

A blue box will pop up, giving you a summary of how to use EasyVoice. As well you can at this point, display or print out the words you added to EasyWord in training as well as the pre-defined word lists.

Click 'Start EasyVoice', and this box disappears, and the EasyVoiceRecognition control panel appears on your screen.

(If the EasyVoiceRecognition control panel is in 'EZ Mode' then it will be quite large. If you don't want it to take up so much screen space, click 'Advanced Mode'.)

(If the EasyVoiceRecognition control panel is in its 'Advanced Mode' and you are not sure what an icon represents, click 'EZ' in order for it to revert back to its 'EZ Mode' where all icons contain self-explanatory text.)


Using EasyVoice5

Summary:

  • While you use most Windows programs, EasyVoice constantly monitors your microphone to see if a sound corresponds to a trained word. If it recognizes a word, it will automatically enter the corresponding keystrokes for that word, as if you entered the keystrokes yourself on the keyboard.

  • If you select text in a Windows program, and click Speak Text on the EasyVoiceRecognition control panel, then EasyVoice will read that text aloud.

When you double-click the EasyVoice icon, the EasyVoice QuickStart Page appears. Click Start using EasyVoice to start using the program (as opposed to choosing training).

The EasyVoiceRecognition control panel pops up.

  • If the EasyVoiceRecognition control panel is in Easy Mode, it will be quite large. If you do not want it to take up so much screen space, click Advanced Mode.

  • If the EasyVoiceRecognition control panel is in Advanced Mode and you are not sure what an icon represents, click EZ to switch to Easy Mode.

(These help files are written from the perspective of Easy Mode. Note that the corresponding icons in Advanced Mode perform essentially the same functions.)

The EasyVoiceRecognition control panel starts with speech input working. Anything you say into the microphone will be interpreted by the computer for voice recognition. If you do not want the computer to perform voice recognition at that moment (e.g., perhaps you are talking to someone on the telephone, and not actively using your computer), then click the red button, Stop Speech Input.

To start speech input again, click the green button, Start Speech Input. EasyVoice will become active, analyzing the input from your microphone. If EasyVoice recognizes a sequence of sounds as corresponding to one of its trained words, then it will automatically enter the keystrokes that correspond to that word.

(In Easy Mode, recognized words appear in red letters in the lower circular portion of the EasyVoiceRecognition control panel.)

EasyVoice will work with most Windows and EasyOffice programs. For example, if you are using EasySpreadsheet and EasyVoice is activated, then when you say the word "THOUSAND", the keystrokes '1000' will be entered in the EasySpreadsheet program, as if you entered them from the keyboard.

Using EasyVoice to read text aloud

If you select (highlight) text in a Windows program, and click Speak Text on the EasyVoiceRecognition control panel, then it will be read aloud.

For example, if you are using Microsoft Word and want the document read aloud, press Ctrl+A (or use the mouse) to select all the text in the document. Then, click Speak Text on the EasyVoiceRecognition control panel, and the selected text will be read aloud by EasyVoice.

Tip: Turn voice-recognition off (i.e., click Stop Speech Input) while EasyVoice is speaking, so that extraneous noise is not wrongly interpreted by EasyVoice.


Recognize 'ALL WORDS' vs. 'WORD LISTS' vs. 'LETTERS'

Recognize 'ALL WORDS' vs. 'TRAINED WORDS' vs. 'LETTERS'

Note: You must be in Easy Mode to see the Recognize ALL WORDS/ TRAINED WORDS/ LETTERS buttons. However, once you select what type of words to recognize, it will work, regardless of whether you are in Easy Mode or Advanced Mode.

At the top of the EasyVoiceRecognition control panel (in EasyVoice5), there are the following buttons:

  • Recognize ALL WORDS

  • Recognize TRAINED WORDS

  • Recognize LETTERS

Recognize ALL WORDS

EasyVoice5 will attempt to match sounds at the microphone with its extensive knowledge of thousands of words of the English language.

This mode is useful if you are in a word processing program, and want to dictate some words and phrases.

This mode is less useful for specific tasks. For example, if you are in this mode while you are using EasyVoice5 to read your e-mail, it may misinterpret specific voice commands with other irrelevant words, and as well, will not insert the keystrokes that are associated with those words.

Recognize TRAINED WORDS

EasyVoice5 will forget about the thousands of English words it knows, but instead, match sounds at the microphone with specific words and word lists it has been trained to recognize.

This mode is often most useful for specific tasks such as reading your e-mail. This mode is essential for those words which you want EasyVoice to insert specific keystrokes for when it recognizes the word. For example, when you say the word "NEXT", you may want the keystrokes that scrolls your e-mail program down to the next e-mail, to be inserted, rather than the actual word "NEXT".

Recognize LETTERS

EasyVoice5 will try to match sounds at the microphone with one of the letters of the alphabet.

This mode is most useful for times when you need to spell out a word.

Note: Differentiating between letters of the alphabet can actually be difficult, depending on your pronunciation. Specialized routines are used to differentiate between alphabet letters than between words. If your pronunciation does not allow the current version of EasyVoice to accurately differentiate between certain letters (e.g., 'C' vs. 'Z'), consider downloading the most recent version of EasyVoice5 control program (under 1MB and at no charge).


Japanese and Chinese Speech Recognition

The current version of EasyVoice5 that you are using only supports SAPI5 English voice recognition.

For SAPI5 Japanese voice recognition, you need to use EasyOffice Japanese .

For SAPI5 Chinese voice recognition, you need to use EasyOffice Chinese.


Un-installing EasyVoice5

When you un-install EasyOffice, the various EasyVoice5 programs are also un-installed, except for the core speech engine code, since other programs may also use this common code.

(To un-install EasyOffice see EasyHelper, or go to Start, Settings, Control Panel, Add/Remove Programs, then scroll down to EasyOffice..., and then click the Add/Remove button.)

However, there may be times when you want to un-install the core speech engine code. For example, a special upgrade of software requires un-installing the previous speech engine core code first. Or perhaps you experimented with the speech engines that EasyVoice can use, and now EasyVoice is not working properly. Before re-installing EasyVoice, you should actually remove the core speech engine code, as well as any experimental voice engine programs. This way, when you re-install EasyVoice, a completely correct installation will result, along with a fresh re-installation of the core speech engine code.

Use the Add/Remove Programs in the Control Panel to remove the core speech engine code (or another speech engine).

(To go to Add/Remove Programs in the Control Panel, go to Start, Settings, Control Panel, Add/Remove Programs. Scroll down the list for the component which you want to remove.)


Where is EasyVoice Pro?

Some versions of Easy Office Premium may include a small preliminary copy of EasyVoice Pro. It will not be on the desktop, but you will find it in the EasyOffice menu group.

  • Go to Start, and then Programs, and then put the cursor over the EasyOffice 2001 group

  • The various programs in EasyOffice Premium are listed. Click 'EasyVoice Pro'

Please try out this program. You can download upgrades at www.e-press.com .


Starting EasyVoice Pro

After you start EasyVoice Pro, you will notice two programs popping up on your screen.

On the bottom will be EasyVoicePad. This is a simplified word processor. The words you dictate into the microphone will appear here.

On the top will be the EasyVoicePro control panel.

  • Make sure your microphone is turned on. Make sure that the Mike On button is clicked.

  • Go ahead and talk into the microphone. Say a full sentence. Wait a second (depending on your computer speed and RAM). Your sentence should appear inside EasyVoicePad.

  • Whatever you dictate inside EasyVoicePad you can save as a text file, and retrieve it in other word processors.

  • OR, you don't need to use EasyVoicePad. You can close EasyVoicePad and instead load E-Press EasyWord or Microsoft Word, or most other programs. (Tip: EasyVoicePad is useful in allowing more of your computer's RAM and processor to be devoted to voice processing, than to running a complex word processing program.)

Dictating letters in EasyVoicePro is as easy as this.

The remaining tutorial topics here help you improve the accuracy of your dictation, and show you how to dictate various formatting commands (for example, "New Line").


How can I make my dictation more accurate?

  1. The most important element in accurate voice recognition is not the microphone, but the sound card. On many computers, even expensive name-brand computers, the sound card is built into the motherboard, and distorts badly the microphone signal. Adding a separate sound card to your PC will often greatly increase the accuracy of your speech recognition. For example, one user reports increasing the accuracy of EasyVoice speech recognition from 42% to 98%, by installing a SoundBlaster card (one of many manufacturers making sound cards) into his PC.

  2. The microphone, is still very important, however. Noise-cancelling microphones designed for voice recognition (there are many brands), will give a superior accuracy. (In a noisy environment, you really need to wear a noise-cancelling headset microphone, rather than use a standalone desk microphone.)

  3. Your room should be quiet. Many users report dramatic increases in speech recognition accuracy by turning off noisy air conditioners, for example.

  4. The EasyVoice speech recognition routines follow complex artificial intelligence algorithms. 128MB of RAM is good, but 256MB of RAM is even better. A 600MHz PentiumIII-equivalent PC is good, but a 1 GHz PentiumIV-equivalent PC is even better.

  5. EasyVoicePro may seem to amazingly work without training. However, training will nonetheless improve its accuracy. EasyVoicePro trains automatically every time you use it. The more you use, the more accurate it will become. However you can specifically train EasyVoicePro the first time you use it:

    • On the EasyVoice control panel, click Training. In the menu which pops up, click Training again.

    • Click Configure Microphone. The computer will automatically adjust the microphone signal to your voice, so that the signal is not being distorted by too loud a voice, or by being poorly received by too soft a voice

    • Then, train your user profile. Each training episode involves reading a 10 minute story.

  6. If you share your computer with someone else, make sure the non-default user (i.e., the second person to use EasyVoice on that computer) changes the user profile (in the Speech training section) to his/her own profile. If two or more persons use the same EasyVoice profile, then the self-learning algorithm will become confused.

    • Go to Control Panel and click the Speech icon.

    • Inside the Recognition Profiles box, click New.

  7. If speech recognition of fluent speech seems too slow for your PC, then go to the Speech training section, and reduce the accuracy slider. This will significantly increase the speed of speech recognition, often without much of a difference concerning the accuracy.

    • Go to Control Panel and click the Speech icon.

    • Inside the Recognition Profiles box, click Settings.

    • You will then see the Accuracy vs. Recognition Time box and slider.

  8. In fluent speech recognition, be patient in waiting for recognized speech to appear in your word processor. The artificial intelligence algorithms often need to hear the whole sentence before the start of the sentence can be recognized, and once that occurs, will then write the whole sentence out at once.

  9. Make sure that automatic learning (background adaptation) is turned on.

    • Go to Control Panel and click the Speech icon.

    • Inside the Recognition Profiles box, click Settings.

    • You will then see the Background Adaptation box, which should be checked on.


EasyVoicePro Control Panel

Training - This button allows you to train EasyVoicePro's speech engine to increase the accuracy of your dictation. You can also test your microphone (i.e., to see if your mike and sound system are working in your computer), or define and train your own command words.

Advanced Mode - This button shrinks the EasyVoicePro control panel, so it will occupy less desktop space. This is very useful if you are using EasyVoicePro with other programs.

Speak Highlighted Words - This button will cause EasyVoicePro to read out loud any highlighted (ie, selected) words in most Windows programs. (Tip: You can adjust the voice speed in Training->Text-to-Speech->Voice Speed. The program needs to be restarted for the setting to take effect.)

VoicePad - This button allows you to quickly switch between EasyVoicePad and EasyWord. (You have to, or will be reminded, to close one program before switching to the other, so that you don't use up to much system resources.)

Help - This button brings up these Help files.

Recognize All Words vs. Recognize Commands Only - If you are in Recognize Commands Only mode, then EasyVoicePro will only recognize words that are already in predefined command list. If you are using a program where you need a high accuracy of a certain subset of words, this mode may be more useful than Recognize All Words mode. As well, spelling out a word is much easier to perform in Recognize Commands Only mode.

Mike On vs. Mike Off - Turns your microphone on or off. (Tip: Many microphones also have an on/off switch. If your microphone does not seem to be working, make sure that the physical switch is turned on, as well as this setting.)

Exit - Exits from EasyVoicePro. If EasyVoicePad is present, you will be asked if you want to save your work, and will exit also from EasyVoicePad.


EasyVoicePad

After you start EasyVoice Pro, you will notice two programs popping up on your screen.

On the top will be the EasyVoicePro control panel.

On the bottom will be EasyVoicePad. This is a simplified word processor. The words you dictate into the microphone will appear here.

While EasyVoicePro can be used with EasyWord or other word processors, EasyVoicePad offers the advantage of using little system RAM and little of your processor's power, leaving more resources available for actual speech recognition.

EasyVoicePad uses standard basic text processing features. You can select text, and then cut it and paste it. You can print out documents.

EasyVoicePad saves files as standard text files. Other word processing programs can easily read these files. (However, note that EasyVoicePad is not capable of reading rtf or doc files that may be produced by a word processor.)


Formatting Commands

EasyVoicePro can automatically adjust to different formatting commands. Formatting Commands tell the computer to put a period at the end of your line and to start a new line or a new paragraph, and so on.

If you know voice formatting commands from another voice recognition program (for example, IBM ViaVoice or L&H Dragon Systems Naturally Speaking), you may be able to use them with EasyVoicePro. In addition to understanding formatting commands that are popularly used, EasyVoicePro will make an attempt to understand what you are trying to do, and help you do it.

EasyVoicePro is not a 'compatible'-version of another voice recognition program, nor does it handle voice recognition commands in the exact same manner as other programs. Rather, it makes an attempt to understand what you, the user of this program, want to do.

Note: This feature is not implemented in this preliminary version of EasyVoicePro. The following limited set of commands must be used.

  • Except for common commands such as 'period', 'new line' and 'new paragraph', for other commands better recognition will occur in Recognize Commands Only mode. Go to this mode by saying "Insertion".

  • Then say your command.

  • After the Command executes, you will automatically go back to Recognize All Words mode. (If it does not, you can go back to Recognize All Words by saying "Dictation".)

Formatting Commands Supported by this version of EasyVoicePro:

Period | places a period at end of word
New Line | goes to next line
New Paragraph | goes down two lines
Insertion | goes to Recognize Commands Only mode
Dictation | goes back to Recognize All Words mode (Note: You will not need to use this command often, since there is an automatic return to Recognize All Words Mode after most commands.)
Delete Next Word | deletes next word
Delete Previous Character | deletes previous character
Delete Forward 2 Words | deletes next 2 words
Delete Forward x Words | deletes next x words
Delete Back 2 Characters | deletes previous 2 characters
Delete Back x Characters | deletes previous x characters
Delete Back Paragraph | deletes previous paragraph
Delete Back 2 Paragraphs | deletes previous 2 paragraphs
Delete Back x Paragraphs | deletes previous x paragraphs
Delete That | deletes selected words
Backspace | backspaces
Scratch That | deletes last word spoken
Undo That | undo the last command
Tab Key | tabs
Space Bar | puts a space
No Space "word x" | no space before the word x
Move Up 1Line | moves up 1 line
Move Back 2 Lines | moves up 2 lines (etc)
Move Right 1 Word | moves right 1 word
Move Forward 2 Words | moves right 2 words (etc)
Go To Top | goes to start of document
Go To Bottom | goes to bottom of document
Go To Beginning of Line | goes to start of line
Go To End of Line | goes to end of line
Insert Before "word x" | moves cursor before word x
Insert After "word x" | moves cursor after word x
Select "word x" | selects word x (must be present)
Select Again | selects again same word
Select "sentence x" | selects sentence x (must be present)
Select All | selects everything in document
Unselect That | unselects
Copy That | copies selected words
Paste That | pastes selected words
Cut That | cuts selected words
Copy All to Clipboard | copies whole document
Cap "word x" | word x will start with a capital
All Caps "word x" | word x will be all capitals
No Caps "word x" | word x will be all lowercase
Cap That | capitalizes last word spoken
Bold That | bolds selected text or last word
Italicize That | italicizes selected text or last word
Underline That | underlines selected text or last word
Center That | centers selected text or last word


Upgrading this Preliminary Version

Obtaining an Upgrade to this Preliminary Version of EasyVoicePro

EasyVoicePro has been designed so that the bulk of the many megabytes of voice processing files are separate from the portion of the program controlling these files. The control program of EasyVoicePro4 is under 1MB, and an upgrade to a more recent EasyVoicePro program can be downloaded from www.e-press.com

After you download the upgrade, run the program, and it will automatically install itself.


Un-installing EasyVoicePro

When you un-install EasyOffice, the various EasyVoicePro programs are also un-installed, except for the core speech engine code, since other programs may also use this common code.

(To un-install EasyOffice see EasyHelper, or go to Start, Settings, Control Panel, Add/Remove Programs, then scroll down to EasyOffice..., and then click the Add/Remove button.)

However, there may be times when you want to un-install the core speech engine code. For example, a special upgrade of software requires un-installing the previous speech engine core code first. Or perhaps you experimented with the speech engines that EasyVoice can use, and now EasyVoice is not working properly. Before re-installing EasyVoice, you should actually remove the core speech engine code, as well as any experimental voice engine programs. This way, when you re-install EasyVoice, a completely correct installation will result, along with a fresh re-installation of the core speech engine code.

Use the Add/Remove Programs in the Control Panel to remove the core speech engine code (or another speech engine).

(To go to Add/Remove Programs in the Control Panel, go to Start, Settings, Control Panel, Add/Remove Programs. Scroll down the list for the component which you want to remove.)ve.)